> For the complete documentation index, see [llms.txt](https://docs.defisaver.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defisaver.com/actions/liquityv2/liquityv2spwithdraw.md).

# LiquityV2SPWithdraw

### Description

Withdraws a token from the LiquityV2 Stability Pool

### Action ID

`0x1eea7fdb`

### SDK Action

```ts
const liquityV2SPWithdrawAction = new dfs.actions.liquityV2.LiquityV2SPWithdrawAction(
    market,
    boldTo,
    collGainTo,
    amount,
    doClaim
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param market The address of the LiquityV2 market (collateral branch)
    /// @param boldTo The address to send the BOLD tokens to
    /// @param collGainTo The address to send the collateral gains to
    /// @param amount The amount of BOLD tokens to withdraw
    /// @param doClaim If true, the action will claim the collateral gains if existent
    struct Params {
        address market;
        address boldTo;
        address collGainTo;
        uint256 amount;
        bool doClaim;
    }
```

### Return Value

```solidity
return bytes32(withdrawnAmount);
```

### Events and Logs

```solidity
emit ActionEvent("LiquityV2SPWithdraw", logData);
logger.logActionDirectEvent("LiquityV2SPWithdraw", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.defisaver.com/actions/liquityv2/liquityv2spwithdraw.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
